Add or remove items from the authenticated user's feed
PATCH
/cms/customer/feed
const url = 'https://api.example.com/cms/customer/feed';const options = { method: 'PATCH', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"add":[{"object_type":"Article","object_id":123,"field_name":"customFieldName"}],"remove":[{"object_type":"Article","object_id":123}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.example.com/cms/customer/feed \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "add": [ { "object_type": "Article", "object_id": 123, "field_name": "customFieldName" } ], "remove": [ { "object_type": "Article", "object_id": 123 } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
add
Array<object>
object
object_type
string
Example
Articleobject_id
integer
Example
123field_name
string
Example
customFieldNameremove
Array<object>
object
object_type
string
Example
Articleobject_id
integer
Example
123Responses
Section titled “Responses”Feed updated successfully
Media typeapplication/json
object
Example generated
{}Authentication required